<back to all web services

SendForTranslation

The following routes are available for this service:
POST/RestApi/translations/translate

export class CreateProject implements IProjectInfo
{
    public Title: string;
    public StartDate?: string;
    public EndDate?: string;
    public Description: string;
    public Connector: string;
    public PoReference: string;
    public ActualSourceLanguage: string;

    public constructor(init?: Partial<CreateProject>) { (Object as any).assign(this, init); }
}

export class SendForTranslation
{
    public Ids: string[];
    public ProjectData: CreateProject;

    public constructor(init?: Partial<SendForTranslation>) { (Object as any).assign(this, init); }
}

TypeScript SendForTranslation DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .other suffix or ?format=other

HTTP + OTHER

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

POST /RestApi/translations/translate HTTP/1.1 
Host: www.imglobal.com 
Accept: text/jsonl
Content-Type: text/jsonl
Content-Length: length

{"ProjectData":{"Title":"String","StartDate":"\/Date(-62135596800000-0000)\/","EndDate":"\/Date(-62135596800000-0000)\/","Description":"String","Connector":"String","PoReference":"String","ActualSourceLanguage":"String"}}